<?php if (!defined('BASEPATH'))    exit('No direct script access allowed');

class Mo_subkategori extends CI_Model {

	public $table = 't_subkategori';
	
    function fnGetData()
    {
        $this->db->order_by('f_subkategori_id', 'DESC');
        return $this->db->get($this->table)->result();		
	}

	function getDataId($id)
	{
		$this->db->select('f_subkategori_id, a.f_kategori_id, f_subkategori_name, f_subkategori_desc, f_subkategori_active, a.f_created_on, a.f_created_by, a.f_updated_on, a.f_updated_by, b.f_kategori_name',false);
		$this->db->join('t_kategori b','b.f_kategori_id=a.f_kategori_id');
		$sql = $this->db->get_where($this->table.' a',array('a.f_subkategori_id'=> $id))->row_array();
		return $sql;
	}

	function saveData()
	{
		$data = array(
				//'f_subkategori_id' => $this->input->post('f_subkategori_id'),
				'f_kategori_id' => $this->input->post('f_kategori_id'),
				'f_subkategori_name' => $this->input->post('f_subkategori_name'),
				'f_subkategori_desc' => $this->input->post('f_subkategori_desc'),
				'f_subkategori_active' => $this->input->post('f_subkategori_active'),
				'f_created_on' => date('Y-m-d H:i:s'),
				'f_created_by' => $this->session->userdata('sId'),
		);
		$sql = $this->db->insert($this->table,$data);
		return $sql;
	}

	function updateData($id)
	{
		$data = array(
				//'f_subkategori_id' => $this->input->post('f_subkategori_id'),
				'f_kategori_id' => $this->input->post('f_kategori_id'),
				'f_subkategori_name' => $this->input->post('f_subkategori_name'),
				'f_subkategori_desc' => $this->input->post('f_subkategori_desc'),
				'f_subkategori_active' => $this->input->post('f_subkategori_active'),
				'f_updated_on' => date('Y-m-d H:i:s'),
				'f_updated_by' => $this->session->userdata('sId'),
		);

		$this->db->where('f_subkategori_id',$id);
		$sql = $this->db->update($this->table,$data);
		return $sql;		
	}

	function deleteData($id)
	{
		$this->db->where('f_subkategori_id',$id);
		$sql = $this->db->delete($this->table);
		return $sql;		
	}
	
	function comboData()
	{
		$sql = $this->db->get('t_subkategori');
		if($sql)
		{
			foreach($sql->result() as $r):
				$list[$r->f_subkategori_id] = $r->f_subkategori_id;
			endforeach;
		}
		return $list;
	}

	function remoteComboData()
	{
		if($this->input->get('term')) $this->db->like('f_subkategori_name',$this->input->get('term')); // pencarian name
		if($this->input->get('id')) $this->db->where('f_subkategori_id',$this->input->get('id')); // saat pencarian update
		if($this->input->get('f_kategori_id')) $this->db->where('f_kategori_id',$this->input->get('f_kategori_id')); // saat pencarian update
		$this->db->where('f_subkategori_active',1); // Aktif		
		$this->db->limit('10');
		$result = $this->db->get($this->table)->result();
		$data = array();
		foreach($result as $row):
			$data[] = array(
				'id'=> $row->f_subkategori_id, // value
				'text' => $row->f_subkategori_name, // change display 
				);
		endforeach;
		return $data;
	}

	function remoteComboDataKat()
	{
		if($this->input->get('term')) $this->db->like('f_kategori_name',$this->input->get('term')); // pencarian name
		if($this->input->get('id')) $this->db->where('f_kategori_id',$this->input->get('id')); // saat pencarian update
		
		$this->db->limit('10');
		$result = $this->db->get('t_kategori')->result();
		$data = array();
		foreach($result as $row):
			$data[] = array(
				'id'=> $row->f_kategori_id, // value
				'text' => $row->f_kategori_name, // change display 
				);
		endforeach;
		return $data;
	}
}

/* End of file Mo_subkategori.php */
/* Location: ./application/modules/Subkategori/models/Mo_subkategori.php */	

	


